#!/bin/sh
# AutoUpdater for Mcas 


SOURCEHTTP_KEYTMP='http://xdsr.co.cc/keydata.tmp'
SOURCEHTTP_COCONUT='http://xdsr.co.cc/coconut.dat'

SOFTKEYFILE='/var/keydata.tmp'
SOFTKEYDOWN='/var/keydata.down'

SOFTCOCOFILE='/var/etc/coconut.dat'
SOFTCOCODOWN='/var/etc/coconut.down'

# wait for network
until [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ]
				do
					echo "Waiting for network"
					sleep 5
				done

# download

/var/bin/tools/osd_display -t 2 -x 40 -y 40 -s 20 "Update Mcas Emu & Coconut. Downloading Xcruiser Server ..."
sleep 10
wget $SOURCEHTTP_KEYTMP -O $SOFTKEYDOWN
wget $SOURCEHTTP_COCONUT -O $SOFTCOCODOWN

# difference to exisiting keyfile?
if pidof Mcas >& /dev/null ; then
	if diff $SOFTKEYFILE $SOFTKEYDOWN >/dev/null ; then
	  /var/bin/tools/osd_display -t 1 -x 40 -y 40 -s 20 "No new Keydata." 
	  sleep 3    
	else
		/var/bin/tools/osd_display -t 1 -x 40 -y 40 -s 20 "Installing new Keyfile ..."
		cp $SOFTKEYDOWN $SOFTKEYFILE
		RESTART_MCAS='1'
		sleep 3
	fi
fi

# difference to exisiting coconut file?
if pidof coconut >& /dev/null ; then
	if diff $SOFTCOCOFILE $SOFTCOCODOWN >/dev/null ; then  
	  /var/bin/tools/osd_display -t 1 -x 40 -y 40 -s 20 "No new Coconut data." 
	  sleep 3
	else
		/var/bin/tools/osd_display -t 1 -x 40 -y 40 -s 20 "Installing new Coconut file ..."
		cp $SOFTCOCODOWN $SOFTCOCOFILE
		sleep 3
		RESTART_COCO='1'
	fi
fi

# restart MCAS
if [ "$RESTART_MCAS" = "1" ] ; then
	/var/bin/tools/osd_display -t 2 -x 40 -y 40 -s 20 "Restarting Mcas ..."
	killall Mcas
	sleep 3
	/var/bin/Mcas
	sleep 3
fi


# restart coconut
if [ "$RESTART_COCO" = "1" ] ; then
	/var/bin/tools/osd_display -t 2 -x 40 -y 40 -s 20 "Restarting coconut ..."
	killall coconut
	sleep 3
	/var/bin/coconut
	sleep 3
fi
	
/var/bin/tools/osd_display -t 1 -x 40 -y 40 -s 20 "Update Finish."


# remove downloads
rm -f $SOFTKEYDOWN
rm -f $SOFTCOCODOWN
